#! /bin/sh

if [ -z "$FC_NO_ISOLATION" ]; then
    effective_uid=$("id" | grep -o "uid=[0-9]*" | cut -d= -f2)
    if [ $effective_uid -ne 0 ]
    then
        echo "\033[1;31mThe script needs to be run as root.\033[0m"
        exit 1;
    fi
fi

cd `dirname $0`
cd ../bin/

if [ $# -eq 1 ] ; then
    if [ "$1" = "all" ] ; then
        ./linkedged stop_all
        exit 0
    fi
fi

./linkedged stop_except_remotedebug
